UM .NET API 6.17.1

- Main Page
- Related Pages
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
com.latencybusters.lbm.LBMSourceSendExInfo Class Reference

LBM Source Send Extended Info class. More...

## Public Member Functions
| LBMSourceSendExInfo ()
| Create an empty LBMSourceSendExInfo object.
| LBMSourceSendExInfo (int flags, object cbArg)
| Create an LBMSourceSendExInfo object with flags and callback object set. More...
| LBMSourceSendExInfo (int flags, object cbArg, LBMSourceChannelInfo channelInfo)
| Create an LBMSourceSendExInfo object with flags and callback object set as well as channel information included. More...
| LBMSourceSendExInfo (int flags, object cbArg, LBMSourceChannelInfo channelInfo, UMQIndexInfo umqIndex)
| Create an LBMSourceSendExInfo object with flags and callback object set as well as channel information included. More...
| LBMSourceSendExInfo (int flags, object cbArg, LBMSourceChannelInfo channelInfo, UMQIndexInfo umqIndex, UMQMessageTotalLifetimeInfo lifetimeInfo)
| Create an LBMSourceSendExInfo object with flags and callback object set. More...
| LBMSourceSendExInfo (int flags, object cbArg, LBMSourceChannelInfo channelInfo, UMQIndexInfo umqIndex, UMQMessageTotalLifetimeInfo lifetimeInfo, LBMMessageProperties properties)
| Create an LBMSourceSendExInfo object with flags and callback object set. More...
void | setClientObject (object cbArg)
| Set the user-supplied callback object. More...
void | setFlags (int flags)
| Sets flags that control callback behavior. More...
void | setChannelInfo (LBMSourceChannelInfo channelInfo)
| Sets channel information to be included with messages, or removes the channel info if NULL is passed. Also, updates the LBM.SRC_SEND_EX_FLAG_CHANNEL bit in flags as appropriate.
void | setMessageProperties (LBMMessageProperties properties)
| Sets properties to be included with messages, or removes the properties if NULL is passed. Also, updates the LBM.SRC_SEND_EX_FLAG_PROPERTIES bit in flags as appropriate. More...
int | flags ()
| Returns currently set flags. More...
object | clientObject ()
| Returns the client-supplied callback object. More...
LBMSourceChannelInfo | channelInfo ()
| Returns the currently set channel information. More...
LBMMessageProperties | properties ()
| Returns the currently set properties information. More...
void | setIndexInfo (UMQIndexInfo indexInfo)
| Sets the index info to be included with messages, or removes the index info if NULL is passed. Also, updates the LBM.SRC_SEND_EX_FLAG_UMQ_INDEX bit in flags as appropriate. More...
UMQIndexInfo | indexInfo ()
void | setTotalLifetimeInfo (UMQMessageTotalLifetimeInfo lifetimeInfo)
| Sets the total lifetime info to be included with messages, or removes the total lifetime info if NULL is passed. Also, updates the LBM.SRC_SEND_EX_FLAG_UMQ_TOTAL_LIFETIME bit in flags as appropriate. More...
UMQMessageTotalLifetimeInfo | totalLifetimeInfo ()
void | setHfSequenceNumber32 (uint hfsqn)
| Set the 32 bit hot failover sequence number to send. More...
void | setHfSequenceNumber64 (ulong hfsqn)
| Set the 64 bit hot failover sequence number to send. More...
uint | getHfSequenceNumber32 ()
| Get the currently set 32 bit hot failover sequence number. More...
ulong | getHfSequenceNumber64 ()
| Get the currently set 64 bit hot failover sequence number. More...

## Detailed Description

LBM Source Send Extended Info class.

Holds a user-supplied callback argument and user-supplied flags to change callback behavior for extended LBMSource.send(byte[], int, int, LBMSourceSendExInfo) calls.

## Constructor & Destructor Documentation

com.latencybusters.lbm.LBMSourceSendExInfo.LBMSourceSendExInfo | ( | int | flags,
|  | object | cbArg
| ) |  |

Create an LBMSourceSendExInfo object with flags and callback object set.

Parameters

  flags | Flags to control callback behavior.
  cbArg | User-supplied object passed back with any callbacks.

com.latencybusters.lbm.LBMSourceSendExInfo.LBMSourceSendExInfo | ( | int | flags,
|  | object | cbArg,
|  | LBMSourceChannelInfo | channelInfo
| ) |  |

Create an LBMSourceSendExInfo object with flags and callback object set as well as channel information included.

Parameters

  flags | Flags to control callback behavior.
  cbArg | User-supplied object passed back with any callbacks.
  channelInfo | Channel information to be included with messages.

com.latencybusters.lbm.LBMSourceSendExInfo.LBMSourceSendExInfo | ( | int | flags,
|  | object | cbArg,
|  | LBMSourceChannelInfo | channelInfo,
|  | UMQIndexInfo | umqIndex
| ) |  |

Create an LBMSourceSendExInfo object with flags and callback object set as well as channel information included.

Parameters

  flags | Flags to control callback behavior.
  cbArg | User-supplied object passed back with any callbacks.
  channelInfo | Channel information to be included with messages.
  umqIndex | UMQ index to send on.

com.latencybusters.lbm.LBMSourceSendExInfo.LBMSourceSendExInfo | ( | int | flags,
|  | object | cbArg,
|  | LBMSourceChannelInfo | channelInfo,
|  | UMQIndexInfo | umqIndex,
|  | UMQMessageTotalLifetimeInfo | lifetimeInfo
| ) |  |

Create an LBMSourceSendExInfo object with flags and callback object set.

Parameters

  flags | Flags to control callback behavior.
  cbArg | User-supplied object passed back with any callbacks.
  channelInfo | Channel information to be included with messages.
  umqIndex | UMQ index to send on.
  lifetimeInfo | UMQ total lifetime info to send with messages.

com.latencybusters.lbm.LBMSourceSendExInfo.LBMSourceSendExInfo | ( | int | flags,
|  | object | cbArg,
|  | LBMSourceChannelInfo | channelInfo,
|  | UMQIndexInfo | umqIndex,
|  | UMQMessageTotalLifetimeInfo | lifetimeInfo,
|  | LBMMessageProperties | properties
| ) |  |

Create an LBMSourceSendExInfo object with flags and callback object set.

Parameters

  flags | Flags to control callback behavior.
  cbArg | User-supplied object passed back with any callbacks.
  channelInfo | Channel information to be included with messages.
  umqIndex | UMQ index to send on.
  properties | Message properties to be included in message.
  lifetimeInfo | UMQ total lifetime info to send with messages.

## Member Function Documentation

LBMSourceChannelInfo com.latencybusters.lbm.LBMSourceSendExInfo.channelInfo | ( |  | ) |

Returns the currently set channel information.

Returns
  The current channel information

Referenced by com.latencybusters.lbm.LBMSource.send().

object com.latencybusters.lbm.LBMSourceSendExInfo.clientObject | ( |  | ) |

Returns the client-supplied callback object.

Returns
  The current client-supplied callback object.

Referenced by com.latencybusters.lbm.LBMHotFailoverSource.send(), com.latencybusters.lbm.LBMSource.send(), com.latencybusters.lbm.LBMContext.send(), and com.latencybusters.lbm.LBMHotFailoverSource.sendReceiverReset().

int com.latencybusters.lbm.LBMSourceSendExInfo.flags | ( |  | ) |

Returns currently set flags.

Returns
  An int representing an OR'd set of currently set flags.

Referenced by com.latencybusters.lbm.LBMHotFailoverSource.send(), com.latencybusters.lbm.LBMSource.send(), com.latencybusters.lbm.LBMContext.send(), and com.latencybusters.lbm.LBMHotFailoverSource.sendReceiverReset().

uint com.latencybusters.lbm.LBMSourceSendExInfo.getHfSequenceNumber32 | ( |  | ) |

Get the currently set 32 bit hot failover sequence number.

Returns
  32 bit hot failover sequence number

Referenced by com.latencybusters.lbm.LBMHotFailoverSource.send(), and com.latencybusters.lbm.LBMHotFailoverSource.sendReceiverReset().

ulong com.latencybusters.lbm.LBMSourceSendExInfo.getHfSequenceNumber64 | ( |  | ) |

Get the currently set 64 bit hot failover sequence number.

Returns
  64 bit hot failover sequence number

Referenced by com.latencybusters.lbm.LBMHotFailoverSource.send(), and com.latencybusters.lbm.LBMHotFailoverSource.sendReceiverReset().

LBMMessageProperties com.latencybusters.lbm.LBMSourceSendExInfo.properties | ( |  | ) |

Returns the currently set properties information.

Returns
  The current properties information

Referenced by com.latencybusters.lbm.LBMSource.send().

void com.latencybusters.lbm.LBMSourceSendExInfo.setClientObject | ( | object | cbArg | ) |

Set the user-supplied callback object.

Parameters

  cbArg | User-supplied object passed back with any callbacks.

void com.latencybusters.lbm.LBMSourceSendExInfo.setFlags | ( | int | flags | ) |

Sets flags that control callback behavior.

Parameters

  flags | Flags.

void com.latencybusters.lbm.LBMSourceSendExInfo.setHfSequenceNumber32 | ( | uint | hfsqn | ) |

Set the 32 bit hot failover sequence number to send.

Parameters

  hfsqn | Unsigned 32 bit HF sequence number

void com.latencybusters.lbm.LBMSourceSendExInfo.setHfSequenceNumber64 | ( | ulong | hfsqn | ) |

Set the 64 bit hot failover sequence number to send.

Parameters

  hfsqn | Unsigned 64 bit HF sequence number

void com.latencybusters.lbm.LBMSourceSendExInfo.setIndexInfo | ( | UMQIndexInfo | indexInfo | ) |

Sets the index info to be included with messages, or removes the index info if NULL is passed. Also, updates the LBM.SRC_SEND_EX_FLAG_UMQ_INDEX bit in flags as appropriate.

Parameters

  indexInfo | An index info object

References com.latencybusters.lbm.LBM.SRC_SEND_EX_FLAG_UMQ_INDEX.

void com.latencybusters.lbm.LBMSourceSendExInfo.setMessageProperties | ( | LBMMessageProperties | properties | ) |

Sets properties to be included with messages, or removes the properties if NULL is passed. Also, updates the LBM.SRC_SEND_EX_FLAG_PROPERTIES bit in flags as appropriate.

Parameters

  properties | A properties object to be associated with this object.

References com.latencybusters.lbm.LBM.SRC_SEND_EX_FLAG_PROPERTIES.

void com.latencybusters.lbm.LBMSourceSendExInfo.setTotalLifetimeInfo | ( | UMQMessageTotalLifetimeInfo | lifetimeInfo | ) |

Sets the total lifetime info to be included with messages, or removes the total lifetime info if NULL is passed. Also, updates the LBM.SRC_SEND_EX_FLAG_UMQ_TOTAL_LIFETIME bit in flags as appropriate.

Parameters

  lifetimeInfo | A total lifetime info object

References com.latencybusters.lbm.LBM.SRC_SEND_EX_FLAG_UMQ_TOTAL_LIFETIME.

The documentation for this class was generated from the following file:

- LBMSourceSendExInfo.cs